import { Point } from "../Datatypes/MathTypes/point"
import { Component } from "ecsy"

// Position component
export class Position extends Component {
  value: Point

  //position is used so often copy is performance sensitive I assume???
  //this can crash with wrong values, but I trust my code enough to pass ONE variable
  copy(values: any) {
    this.value = values.value
  }

  reset() {
    this.value = new Point(0, 0)
  }
}
